<?php
/*
  $Id: checkout_qgw_confirmation.php 1739 2009-10-15 12:53:40Z hpdl $
  
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
  http://www.quantumgateway.com

  by

  Andres Roca - CDG Commerce
  andresr@cdgcommerce.com
*/

  require('includes/application_top.php');
  include_once("quantum_iframe.php");

//echo "<pre>" . print_r($_SESSION, 1) . "</pre>"; exit;
// if the customer is not logged on, redirect them to the login page
 if ( ! isset($_SESSION['customer_id']) ) {
    $navigation->set_snapshot(array('mode' => 'SSL', 'page' => FILENAME_CHECKOUT_PAYMENT));
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }

// if there is nothing in the customers cart, redirect them to the shopping cart page
  if ($cart->count_contents() < 1) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

// avoid hack attempts during the checkout procedure by checking the internal cartID
  if (isset($cart->cartID)&& isset($_SESSION['cartID'])) {
    if ($cart->cartID != $cartID) {
      tep_redirect(tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
    }
  }

// if no shipping method has been selected, redirect the customer to the shipping method selection page
    if (!isset($_SESSION['shipping']) && SHIPPING_SKIP == 'No') {
    tep_redirect(tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  }

  if (!isset($_SESSION['payment'])) $_SESSION['payment'] = ''; 
  if (isset($_POST['payment'])) $_SESSION['payment'] = $_POST['payment'];
  $_SESSION['payment'] = 'quantumiframe';

  $_SESSION['comments'] = isset($_POST['comments']) ? tep_db_prepare_input($_POST['comments']) : '';
  if ( !isset($_SESSION['sendto']) ) {    
    $_SESSION['sendto'] = false;    
  }
  if ($_SESSION['sendto'] == false) {
    $_SESSION['sendto'] = $_SESSION['customer_default_address_id'];
  }

    require(DIR_WS_CLASSES . 'order.php');
  $order = new order;

  // RCI code start
  echo $cre_RCI->get('checkoutconfirmation', 'logic', false);
  // RCI code eof

  	$API_UNAME=MODULE_PAYMENT_QUANTUMIFRAME_APIUSERNAME;
	$API_KEY=MODULE_PAYMENT_QUANTUMIFRAME_APIKEY;
	$API_WIDTH = MODULE_PAYMENT_QUANTUMIFRAME_WIDTH;
	$API_HEIGHT = MODULE_PAYMENT_QUANTUMIFRAME_HEIGHT;

	$quantum = quantumilf_getCode($API_UNAME, $API_KEY, $API_WIDTH, $API_HEIGHT, $_POST['Amount'], $_POST['ID']);
	
	require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_CONFIRMATION);
	
	$breadcrumb->add(NAVBAR_TITLE_1, tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2);

  $content = CHECKOUT_QGW_CONFIRMATION;
  
  $javascript = 'checkout_qgw_confirmation.js.php';
require(DIR_WS_TEMPLATES . TEMPLATE_NAME . '/' . TEMPLATENAME_MAIN_PAGE);

require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>